<?php
namespace Pinpoint\Conesso\Console\Command\Products;

use Pinpoint\Conesso\Api\Management\ProductManagementInterface;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Class Migrate Products Command
 */
class MigrateProductsCommand extends Command
{

    private $productManagement;
    public function __construct(
        ProductManagementInterface $productManagement
    ) {
        $this->productManagement = $productManagement;
        parent::__construct();
    }
    /**
     * @inheritDoc
     */
    protected function configure()
    {
        $this->setName('conesso:migrate:products');
        $this->setDescription('Truncate all existing rows and populate table with new entry.');
        parent::configure();
    }

    /**
     * Execute the command
     *
     * @param InputInterface $input
     * @param OutputInterface $output
     *
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->productManagement->migrateProducts();
        $output->writeln('<info>Success Message.</info>');
        return 0;
    }
}
