<?php
namespace Pinpoint\Conesso\Model;

use Magento\Framework\Model\AbstractModel;
use Pinpoint\Conesso\Api\Data\ProductSyncInterface;
use Pinpoint\Conesso\Model\ResourceModel\SyncProducts as SyncProductsResourceModel;

class SyncProducts extends AbstractModel implements ProductSyncInterface
{

    /**
     * Cache tag
     */
    const CACHE_TAG = ProductSyncInterface::SCHEMA;

    protected function _construct()
    {
        $this->_init(SyncProductsResourceModel::class);
    }

    public function getId() : ?int
    {
        return $this->getData(ProductSyncInterface::ID);
    }

    public function setId($id)
    {
        return $this->setData(ProductSyncInterface::ID, $id);
    }

    public function getProductSku() : ?string
    {
        return $this->getData(ProductSyncInterface::PRODUCT_SKU);
    }

    public function setProductSku($sku)
    {
        return $this->setData(ProductSyncInterface::PRODUCT_SKU, $sku);
    }

    public function getEventType() : ?string
    {
        return $this->getData(ProductSyncInterface::EVENT_TYPE);
    }

    public function setEventType($eventType)
    {
        return $this->setData(ProductSyncInterface::EVENT_TYPE, $eventType);
    }

    public function getStoreId() : int
    {
        return $this->getData(ProductSyncInterface::STORE_ID);
    }

    public function setStoreId($storeId)
    {
        return $this->setData(ProductSyncInterface::STORE_ID, $storeId);
    }

    public function getCreatedAt()
    {
        return $this->getData(ProductSyncInterface::CREATED_AT);
    }

    public function setCreatedAt($createdAt)
    {
        return $this->setData(ProductSyncInterface::CREATED_AT, $createdAt);
    }

    public function getUpdatedAt()
    {
        return $this->getData(ProductSyncInterface::UPDATED_AT);
    }

    public function setUpdatedAt($updatedAt)
    {
        return $this->setData(ProductSyncInterface::UPDATED_AT, $updatedAt);
    }

    public function getIsSynced() : ?int
    {
        return $this->getData(ProductSyncInterface::IS_SYNCED);
    }

    public function setIsSynced($isSynced)
    {
        return $this->setData(ProductSyncInterface::IS_SYNCED, $isSynced);
    }
}
